Interface RoutedPath
- All Superinterfaces:
UriPath
Abstraction of HTTP path supporting routing parameters.
-
Method Summary
Modifier and TypeMethodDescriptionabsolute()If this instance represents a path relative to some context root then returns absolute requested path otherwise returns this instance.Resolved parameters from path template.Methods inherited from interface UriPath
matrixParameters, path, rawPath, rawPathNoParams, segments, validateModifier and TypeMethodDescriptionPath parameters collected from the full path.path()Decoded path without matrix parameters.rawPath()Path as it was received on the wire (Server request), or path as it will be sent over the wire (Client request).Path as it was received on the wire (Server request), or path as it will be sent over the wire (Client request) WITHOUT matrix parameters.default List<UriPathSegment> segments()List of segments.voidvalidate()Validate if the raw path is valid.
-
Method Details
-
pathParameters
Parameters pathParameters()Resolved parameters from path template. Path templates do not support multi-valued parameters.Example of path with path parameter:
/users/{user}.useris the name of the parameter.- Returns:
- resolved parameters
-
absolute
RoutedPath absolute()If this instance represents a path relative to some context root then returns absolute requested path otherwise returns this instance.The absolute path also contains access to path parameters defined in context matchers. If there is name conflict then value represents latest matcher result.
-